@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction


class Audit_AuditEvent {
   auditEventId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   className: varchar(200) <PFK>
   classPK: varchar(75) <PFK>
   userName: varchar(200)
   createDate: datetime(6)
   eventType: varchar(75)
   message: longtext
   clientHost: varchar(255)
   clientIP: varchar(255)
   serverName: varchar(255)
   serverPort: int(11)
   sessionID: varchar(255)
   additionalInfo: longtext
}
class ObjectLayout {
   objectLayoutId: bigint(20)
   --
   objectDefinitionId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   defaultObjectLayout: tinyint(4)
   name: longtext
}
class ObjectLayoutBox {
   objectLayoutBoxId: bigint(20)
   --
   objectLayoutTabId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   collapsable: tinyint(4)
   name: longtext
   priority: int(11)
   type_: varchar(75)
}
class ObjectLayoutColumn {
   objectLayoutColumnId: bigint(20)
   --
   objectFieldId: bigint(20) <FK>
   objectLayoutRowId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   priority: int(11)
   size_: int(11)
}
class ObjectLayoutRow {
   objectLayoutRowId: bigint(20)
   --
   objectLayoutBoxId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   priority: int(11)
}
class ObjectLayoutTab {
   objectLayoutTabId: bigint(20)
   --
   objectLayoutId: bigint(20) <FK>
   objectRelationshipId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   name: longtext
   priority: int(11)
}

ObjectLayoutTab }o--|| ObjectLayout : objectLayoutId
ObjectLayoutBox }o--|| ObjectLayoutTab : objectLayoutTabId
ObjectLayoutRow }o--|| ObjectLayoutBox : objectLayoutBoxId
ObjectLayoutColumn }o--|| ObjectLayoutRow : objectLayoutRowId
Audit_AuditEvent }o--l--o| ObjectLayout : className + classPK
Audit_AuditEvent }o--l--o| ObjectLayoutTab : className + classPK
Audit_AuditEvent }o--l--o| ObjectLayoutBox : className + classPK
Audit_AuditEvent }o--l--o| ObjectLayoutRow : className + classPK
Audit_AuditEvent }o--l--o| ObjectLayoutColumn : className + classPK

@enduml
